package cn.iocoder.yudao.module.llm.dal.mysql.modelassessstoplist;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.llm.dal.dataobject.modelassessstoplist.ModelAssessStoplistDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.llm.controller.admin.modelassessstoplist.vo.*;

/**
 * 停用词表 定义 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface ModelAssessStoplistMapper extends BaseMapperX<ModelAssessStoplistDO> {

    default PageResult<ModelAssessStoplistDO> selectPage(ModelAssessStoplistPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ModelAssessStoplistDO>()
                .eq(ModelAssessStoplistDO::getDeleted, false)
                .eqIfPresent(ModelAssessStoplistDO::getWord, reqVO.getWord())
                .betweenIfPresent(ModelAssessStoplistDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ModelAssessStoplistDO::getId));
    }

}